cURL
curl --request GET \
--url https://cloud.nrai.io/api/v1/flows/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.nrai.io/api/v1/flows/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.nrai.io/api/v1/flows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": "<string>",
"updated": "<string>",
"projectId": "<string>",
"externalId": "<string>",
"status": "ENABLED",
"version": {
"id": "<string>",
"created": "<string>",
"updated": "<string>",
"flowId": "<string>",
"displayName": "<string>",
"trigger": {
"name": "<string>",
"valid": true,
"displayName": "<string>",
"type": "PIECE_TRIGGER",
"settings": {
"propertySettings": {},
"pieceName": "<string>",
"pieceVersion": "<string>",
"input": {},
"sampleData": {
"sampleDataFileId": "<string>",
"sampleDataInputFileId": "<string>",
"lastTestDate": "<string>"
},
"customLogoUrl": "<string>",
"triggerName": "<string>"
},
"nextAction": "<unknown>"
},
"valid": true,
"agentIds": [
"<string>"
],
"state": "LOCKED",
"connectionIds": [
"<string>"
],
"updatedBy": "<string>",
"schemaVersion": "<string>",
"backupFiles": {}
},
"folderId": "<string>",
"publishedVersionId": "<string>",
"metadata": {},
"triggerSource": {
"schedule": {
"type": "CRON_EXPRESSION",
"cronExpression": "<string>",
"timezone": "<string>"
}
}
}Flows
Get Flow
Get a flow by id
GET
/
v1
/
flows
/
{id}
cURL
Authorizations
Use your api key generated from the admin console
Path Parameters
Pattern:
^[0-9a-zA-Z]{21}$Query Parameters
Response
200 - application/json
Default Response
Available options:
ENABLED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I